import os
import stripe
import logging
log = logging.getLogger(__name__)

def create_stripe_payment_intent(amount: float, currency: str, booking_id: str):
    try:
        payment_intent = stripe.PaymentIntent.create(
            api_key=os.environ['STRIPE_API_KEY'],
            amount=int(amount*100),
            currency='AUD',
            payment_method_types=['card'], # TODO add more payment methods
        )
        return {"StripeClientSecret": payment_intent["client_secret"]}
    except Exception as e:
        log.error(e)
        return {
            "error": "Failed to create payment intent",
            "StripeClientSecret": None
        }